import { SvelteComponent } from "svelte";
import type { FileDescriptor, FileGrouping } from "./types";
declare const __propDef: {
    props: {
        folderName: string;
        fileGrouping?: FileGrouping | undefined;
        notSelectable?: boolean;
        fileDesc: FileDescriptor;
        noActionsTransition?: boolean;
    };
    events: {
        checked: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type ActionBarProps = typeof __propDef.props;
export type ActionBarEvents = typeof __propDef.events;
export type ActionBarSlots = typeof __propDef.slots;
export default class ActionBar extends SvelteComponent<ActionBarProps, ActionBarEvents, ActionBarSlots> {
}
export {};
